using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebAPIBase.NetCore.BusinessCore
{
    public sealed class ClassBuilderFactory
    {
        private ClassBuilderFactory()
        {
        }

        public static IClassBuilder GetClassBuilder(string builderName)
        {
            switch (builderName)
            {
                case "Single":
                    return new SingleTableClassBuilder();
                case "Standard":
                    return new StandardTableClassBuilder();
                default:
                    return new SingleTableClassBuilder();
            }
        }
    }
}
